★ devtoolset-7

目前loongnix1.0系统集成的编译版本为gcc-4.9.3,由于某些应用需要高版本的编译器,devtoolset-7基于gcc-7.3.0。

使用方法

安装:

yum install devtoolset-7-gcc

yum install devtoolset-7-gcc-c++(c++编译,如需要请安装,不需要可跳过)

设置环境变量:

source /opt/rh/devtoolset-7/enable

本页面最后修改于2019年5月27日 (星期一) 15:06。

© 2019 by 龙芯开源社区 • Powered by MediaWiki
京ICP备14017781号